### Method

# EDataServer SoupSession set_credentials

since: 3.26

#### Declaration [src]

    void
    e_soup_session_set_credentials (
      ESoupSession* session,
      const ENamedParameters* credentials
    )

#### Description [src]

Sets credentials to use for connection. Using `NULL` for `credentials` unsets previous value.

Available since: 3.26

Sets property | `EDataServer.SoupSession:credentials`

#### Parameters

`credentials`

  Type: `ENamedParameters`

  An `ENamedParameters` with credentials to use, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.